Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSPendingParticipant Class Reference

Unsupported: The pending participant feature is currently not supported. More...

`#import <CSPendingParticipant.h>`

Inherits CSParticipant, and <NSCopying>.

## Instance Methods
(void) | - acceptWithCompletionHandler:
| Accepts a participant's conference join request. More...
(void) | - denyWithCompletionHandler:
| Denies a participant's conference join request. More...
Instance Methods inherited from CSParticipant
(instancetype) | - initWithParticipantId:
(CSContact *) | - bestContactMatch
| Return best possible contact match. More...
(NSDictionary *) | - allPossibleContactMatches
| Return all possible contact matches with level of matching. More...
(void) | - sendPrivateChatMessage:completionHandler:
| Sends private message to this participant. More...

## Properties
id< CSPendingParticipantDelegate > | delegate
| Unsupported: The pending participant feature is currently not supported. More...
NSDate * | enterDate
| Participant's entry time to the conference. More...
Properties inherited from CSParticipant
id< CSParticipantDelegate > | delegate
| The delegate used to handle participant events, common to all participant subclasses. More...
NSString * | displayName
| Participant's network provided display name, as known to the conferencing system. More...
NSString * | address
| Participant's network-provided address, as known to the conferencing system. More...
BOOL | localUser
| Whether the participant is the local user. More...
NSString * | participantId
| Unique identification of the participant. More...

## Detailed Description

Unsupported: The pending participant feature is currently not supported.

The CSPendingParticipant class represents a participant pending to join the conference.

When a conference call is locked, a person who wishes to join the call may "knock on the conference room door" using conference server's knock on the door feature. This person is described as a pending participant, because the person is waiting to join the call. The conference moderator(s) may choose to grant or reject the pending participant's request. Access grant and rejection are controlled by acceptWithCompletionHandler() and and denyWithCompletionHandler() methods defined on CSPendingParticipant, respectively. It should be noted that not all conference server releases support this feature. The client application should check CSConference object's acceptDenyPendingParticipantCapability, to find out whether the conference server supports this feature, and the local user

## has permission to accept/reject entry to pending participants.

Unsupported: This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

## Method Documentation

- (void) acceptWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Accepts a participant's conference join request.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) denyWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Denies a participant's conference join request.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

## Property Documentation

- (id<CSPendingParticipantDelegate>) delegate
| read write nonatomic weak

Unsupported: The pending participant feature is currently not supported.

The delegate used to handle pending participant related events.

- (NSDate*) enterDate
| read nonatomic assign

Participant's entry time to the conference.

Represents the time when participant has requested admission to join the conference

The documentation for this class was generated from the following file:

- CSPendingParticipant.h